import pytest

# noinspection PyMethodParameters
# noinspection PyUnresolvedReferences
class PytestTester(object):

    @pytest.fixture(scope='function', autouse=True)
    def log(self, request, test_logger):
        test_logger.info("======================== START %s ========================" % request.keywords.node.name)

        def log_end():
            test_logger.info("======================== END %s ========================"  % request.keywords.node.name)

        request.addfinalizer(log_end)
